/********************************************************************************************
	Filtros y Selectores       			     2025/01/29
*********************************************************************************************/
.filter-root-body {
	background-color: #f9f9f9;
}
.multi-select .filter-root-selection {
    margin-right: 0px;
}
.filter-root-control.some-selected .filter-root-selection, .filter-group-header.some-selected .filter-group-selection, .filter-item-container.some-selected, .filter-root-control.all-selected .filter-root-selection, .filter-group-header.all-selected .filter-group-selection, .filter-item-container.all-selected {
	color: #044656;
}
.filter-root-container.multi-select .filter-root-selection-icon.all-selected, .filter-root-container.multi-select .filter-group-selection-icon.all-selected, .filter-root-container.multi-select .filter-item-container.all-selected .filter-item-selection-icon {
	background-color: #598a96;
}

.row.filtros {
	height: 60px;
	padding: 0 1vw;
	margin: 0;
}
.row.filtros,
.row.filtros .selectores {
	pointer-events: none;
}

.row.filtros .selectores:not(:only-child) {
	display: inline-block;
	margin: 0;
}
.row.filtros .funciones {
	display: inline-block;
	margin: 0 0 0 5px;
}
	
.row.filtros .selectores > .filter,
.row.filtros .selectores .filter-container,
.row.filtros .selectores button,
.row.filtros .funciones,
.funciones button {
	float: right;
	margin: 0 0 0 5px;
}
.row.filtros .selectores > .filter,
.row.filtros .selectores .filter-container,
.row.filtros .selectores .filter-container .filter-root-selection-icon,
.funciones button {
	pointer-events: auto;
}

.row.filtros .selectores .filter-container .date-range-single-input {
	border: 1px solid #c6c6c6;
	height: 34px;
	padding: .5rem 1rem;
	color: #565656;
	font-size: 90%;
	width: 200px;
	cursor: pointer;
	outline: none;
}

.row.filtros .selectores .filter-container .filter-title,
.row.filtros .selectores #filterFechaInicio:before {
	line-height: 10px;
	text-transform: uppercase;
}

.ContratosMenores .row.filtros .selectores #filterFechaInicio:before {
	content: 'Elegir fecha:';
	font-size: 65%;
	color: #565656;
	display: block;
	height: 15px;
}

.row.filtros .selectores .filter-container .filter-controls .filter-control-button {
	background-color: #598a96;
	width: calc(50% - 15px);
}

.row.filtros button {
	-webkit-appearance: none;
	-moz-appearance: none;
	-o-appearance: none;
	appearance: none;
	background-color: unset;
	border: unset;
	margin: 0;
	padding: 0;
	line-height: 100%;
}

.row.filtros button .btn-default,
.funciones button,
.row.filtros #resetButton {
	background-color: unset;
	border: unset;
	height: 26px;
	width: 26px;
	line-height: 60%;
	font-size: 60%;
	color: transparent;
	overflow: visible;
	margin: 0;
	padding: 0;
	-webkit-transition: all .2s ease-in;
	-moz-transition: all .2s ease-in;
	-ms-transition: all .2s ease-ins;
	transition: all .2s ease-in;
}

.row.filtros .selectores button[id^="download-csv-all"],
.row.filtros .selectores button[id^="download-csv-all"] span {
	pointer-events: auto;
	width: 26px;
	height: 26px;
	overflow: hidden;
	color: transparent;
}

.row.filtros #resetButton,
.row.filtros button[id^="download-csv-all"] span {
	background-position: 50% 50%;
	background-size: auto 28px;
	background-repeat: no-repeat;
	background-color: #fff;
	background-image: url(../../images/666/reset.svg);
	border: 2px solid #666!important;
	border-radius: 50%;
}

.row.filtros #resetButton:hover,
.row.filtros button[id^="download-csv-all"]:hover span {
	background-image: url(../../images/FFCD00/reset.svg);
	border: 2px solid #ffcd00!important;
	border-radius: 50%;
	background-color: #565656;
}

.row.filtros #resetButton:hover {
	-webkit-transform: rotate(-325deg);
	-moz-transform: rotate(-195deg);
	-ms-transform: rotate(-195deg);
	transform: rotate(-195deg);
}

.row.filtros button[id^="download-csv-all"] span {
	background-image: url(../../images/666/csv.svg);
	background-size: auto 26px;
	color: transparent;
}

.row.filtros button[id^="download-csv-all"]:hover span {
	background-image: url(../../images/FFCD00/csv.svg);
}
.row.filtros button[id^="download-csv-all"]:before,
.row.filtros button[id^="download-csv-all"]:after {
	display: none!important;
	background-image: unset;
}

.funciones button {
	background-image: unset;
	margin: 0 2px;
	overflow: hidden;
	position: relative;
}

.funciones button:before {
	height: 26px;
	width: 26px;
	content:'';
	display: block;
	z-index: 0;
	background-color: transparent;
	border-radius: 50%;
	position: absolute;
	-webkit-transition: all .2s ease-in;
	-moz-transition: all .2s ease-in;
	-ms-transition: all .2s ease-ins;
	transition: all .2s ease-in;
}

.funciones button:hover:before {
	background-color: #565656;
}

.funciones button[id^="maximizar"]:hover:before {
	background-color: transparent;
}

.row.filtros .selectores .filter,
.row.filtros .funciones button {
	overflow: visible;
	top: 0;
	margin-top: 18px;
}

.selectores button span,
.funciones button span {
	background-color: unset;
	color: transparent;
	display: block;
	height: 26px;
    width: 26px;
}

.selectores button span.exportButton,
.funciones button span.exportButton {
	cursor: pointer;
	padding: 0;
	background-color: unset;
	border-radius: unset;
	-moz-border-radius: unset;
	-webkit-border-radius: unset;
}

.funciones button span:hover {
	background-color: unset;
	color: transparent;
}

.selectores button span.exportButton:hover,
.funciones button span.exportButton:hover {
	cursor: pointer;
	padding: 0;
	border-radius: unset;
	-moz-border-radius: unset;
	-webkit-border-radius: unset;
}

.funciones button:after {
	height: 26px;
	width: 26px;
	top: 0;
	content:'';
	display: block;
	z-index: 1;
	background-position: 50% 50%;
	background-size: auto 26px;
	background-repeat: no-repeat;
	position: absolute;
	-webkit-transition: all .2s ease-in;
	-moz-transition: all .2s ease-in;
	-ms-transition: all .2s ease-ins;
	transition: all .2s ease-in;
	pointer-events: none;
}
.funciones button:before {
	top: 0;
}

.funciones button[id^="download-csv"]:after {
	background-image: url(../../images/666/csv.svg);
}

.funciones button[id^="download-csv"]:hover:after {
	background-image: url(../../images/333/csv.svg);
}

.row.filtros .funciones button[id^="download-csv"]:after,
.row.filtros .funciones button[id^="download-csv"]:hover:after {
	display: none;
}
.funciones #download-csv:after {
	background-image: url(../../images/666/csv.svg);
}
.funciones #download-csv:hover:after {
	background-image: url(../../images/FFCD00/csv.svg);
}
.funciones #download-csv[disabled]:hover:before {
	background-image: url(../../images/666/csv.svg);
	background-color: transparent;
}
.funciones #download-csv[disabled]:hover:after {
	background-image: url(../../images/666/csv.svg);
	background-color: transparent;
}
.funciones #download-pdf:after {
	background-image: url(../../images/666/pdf.svg);
}
.funciones #download-pdf:hover:after {
	background-image: url(../../images/FFCD00/pdf.svg);
}
.funciones #expandAll:after {
	background-image: url(../../images/666/expandir.svg);
}
.funciones #expandAll:hover:after {
	background-image: url(../../images/FFCD00/expandir.svg);
}
.funciones #contractAll:after {
	background-image: url(../../images/666/contraer.svg);
}
.funciones #contractAll:hover:after {
	background-image: url(../../images/FFCD00/contraer.svg);
}
.funciones button[id^="maximizar"]:after {
	background-image: url(../../images/666/maximizar.svg);
}
.funciones button[id^="maximizar"]:hover:after {
	background-image: url(../../images/333/maximizar.svg);
}
div[id^="collapseTable"].collapse.show .funciones button[id^="maximizar"] {
	border: 3px solid #ffcd00;
	border-radius: 50%;
	box-sizing: content-box;
	top: -3px;
}
div[id^="collapseTable"].collapse:not(.show) .funciones button[id^="maximizar"] {
	border: unset;
	box-sizing: border-box;
	top: unset;
}
div[id^="collapseTable"].collapse.show .funciones button[id^="maximizar"]:after {
	background-image: url(../../images/666/minimizar.svg);
}
div[id^="collapseTable"].collapse.show .funciones button[id^="maximizar"]:hover:after {
	background-image: url(../../images/333/minimizar.svg);
}
/*
div[id^="collapseTable"].collapse.show .funciones button[id^="maximizar"]:after {
	background-image: url(../../images/666/minimizar.svg);
} 
div[id^="collapseTable"].collapse.show .funciones button[id^="maximizar"]:hover:after {
	background-image: url(../../images/333/minimizar.svg);
	opacity: 1;
}
*/
.funciones #contractAll:after {
	background-image: url(../../images/666/contraer.svg);
}

.row.filtros .selectores .filter {
	width: 26px;
	position: relative;
}
.row.filtros .selectores .filter:before,
.row.filtros .funciones button:before  {
	content: '';
	display: block;
	position: absolute;
	top: -1px;
	left: -1px;
	z-index: -2;
	background-color: #fff;
	width: 28px;
	height: 28px;
	border: 2px solid #666;
	border-radius: 50%;
	outline: none;
	box-sizing: border-box;
	display: none;
}

.row.filtros .selectores .filter,
.row.filtros .selectores button,
.row.filtros .funciones button {
    margin-top: 20px;
}
.row.filtros .selectores button button {
    margin: -1px -1px 0 0;
}

.row.filtros .selectores .filter-control-button button,
.row.filtros .funciones .filter-control-button button {
    margin-top: unset;
}

.row.filtros .selectores .filter:before  {
	top: 2px;
	left: -1px;
}
@media only screen and (min-height: 800px) {
	.row.filtros .selectores .filter:before  {
		top: 1px;
		left: -1px;
	}
}
@media only screen and (min-width: 1360px) and (max-width: 1600px) and (min-height: 800px)  {
	.row.filtros .selectores .filter:before  {
		top: 1.95pt;
	}
	.row.filtros .funciones button {
		margin-top: 16.5pt;
	}
	.row.filtros .funciones button:before {
		top: -0.1pt;
		left: -0.9pt;
	}
}
@-moz-document url-prefix() { 
	.row.filtros .selectores .filter,
	.row.filtros .selectores button,
	.row.filtros .funciones button {
		margin-top: 18px;
	}
	.row.filtros .selectores button button {
		margin: -1px -1px 0 0;
	}
	.row.filtros .selectores .filter:before  {
		top: -1px;
		left: -1px;
	}
}
 
.row.filtros .selectores .filter:hover:before,
.row.filtros .funciones button:hover:before {
	background-color: #666;
	border: 3px solid #666;
}

.row.filtros .selectores .filter-controls .filter-control-button {
	padding: 0;
}
.row.filtros .selectores .filter-controls .pristine,
.row.filtros .selectores .filter-controls .dirty,
.selectores .filter-controls .pristine,
.selectores .filter-controls .dirty {
	width: 100%;
	height: 100%;
	display: block;
	line-height: 22px;
	line-height: 28px;
	border: unset;
}

.row.filtros .selectores .filter-controls .filter-btn-apply.pristine,
.selectores .filter-controls .filter-btn-apply.pristine {
	background-color: #565656;
}
.row.filtros .selectores .filter-controls .filter-btn-apply.dirty,
.selectores .filter-controls .filter-btn-apply.dirty {
	background-color: #ffcd00;
	color: #000;
}
/* filtros de fecha */
.row.filtros .selectores .filter-container#filterFechaInicio,
.row.filtros .selectores .filter-container#filterFechaFin {
	width: 200px;
}

.selectores > .filter,
.selectores .filter-container,
.funciones button {
	float: right;
	margin: 5px 0 5px 5px;
}
.filter-container .filter-root-items-container {
	padding-bottom: 10px;
}


.selectores > .filter,
.selectores .filter-container,
.selectores .filter-container .filter-root-selection-icon,
.funciones button {
	pointer-events: auto;
}
.selectores .filter {
	margin-top: 18px;
}

.selectores .filter-container .filter-title {
	line-height: 10px;
	text-transform: uppercase;
}

.selectores .filter-container .filter-controls .filter-control-button {
	background-color: #598a96;
	width: calc(50% - 15px);
}
.filter-controls .filter-control-button:first-child,
.filter-controls .filter-control-button:last-child,
.filter-controls .filter-btn-cancel,
.filter-controls .filter-btn-apply {
    padding: 0;
}
.selectores button,
.funciones button {
 -webkit-appearance: none;
 -moz-appearance: none;
 -o-appearance: none;
	appearance: none;
	border: unset;
	margin: 0;
	padding: 0;
}

#resetButton,
button .btn-default,
.funciones button {
	/*background-color: unset;
	border: unset;*/
	height: 26px;
	width: 26px;
	line-height: 60%;
	font-size: 60%;
	color: transparent;
	overflow: visible;
	margin: 0;
	padding: 0;
	-webkit-transition: all .2s ease-in;
	-moz-transition: all .2s ease-in;
	-ms-transition: all .2s ease-ins;
	transition: all .2s ease-in;
}
.funciones {
	height: 30px;
}
.funciones button {
	margin: 0 2px;
	overflow: hidden;
	background-image: unset;
}
.funciones button[disabled] {
	opacity: 0.5;
	cursor: not-allowed;
}

.selectores .filter {
	width: 26px;
	position: relative;
}
.selectores .filter:before {
	content: '';
	display: block;
	position: absolute;
	top: -1px;
	left: -1px;
	z-index: -2;
	background-color: #fff;
	width: 28px;
	height: 28px;
	border: 3px solid #666;
	border-radius: 50%;
	outline: none;
	box-sizing: border-box;
	
	display: none;
}
.selectores .filter:hover:before {
	background-color: #666;
	border: 3px solid #666;
}

/********************************************************************************************
	Filtro selector de fechas
*********************************************************************************************/

.selectores #filterFecha:before {
	display: block; 
	width: 100%;
	height: 10px;
	content: 'Fecha';
	text-transform: uppercase;
	font-size: 60%;
	line-height: 10px;
	margin-bottom:5px;
	color: #333;
}
.selectores #filterFecha input {
	width: 45%;
	border: 1px solid #ccc;
	padding: .3vw .6vw;
	color: #666;
	font-size: 90%;
	margin-right: 5px;
}
.selectores #filterFecha input:last-child {
	margin-left: 5px;
}

.ui-daterangepickercontain {
	margin-top: 35px;
	margin-top: 18px;
	margin-left: -122px;
}
.ui-daterangepicker-Today,
.ui-daterangepicker-Last7days,
.ui-daterangepicker-Monthtodate,
.ui-daterangepicker-specificDate {
	display: none;
}
.ui-state-default,
.ui-widget-content .ui-state-default,
.ui-widget-header .ui-state-default {
	color: rgba(109,182,204,1);
	background: unset;
	border: 1px solid rgba(109,182,204,0.6);
}

.ui-widget-content li {
	border: 1px solid transparent;
}

.ui-widget-content li:hover,
.ui-daterangepicker li.ui-state-hover {
	background-image: unset;
	background: unset;
	border: 1px solid transparent;
}

.ui-daterangepicker li a {
	margin: 0;
	padding: .3em .5em;
	font-size: 80%;
	border: 1px solid transparent;
}
.ui-daterangepicker li a:hover {
	background-color: #eee;
	color: #3baae3;
	border: 1px solid #3baae3;
}
.ui-corner-all {border-radius: unset;}
.ui-state-active, .ui-widget-content .ui-state-active, .ui-widget-header .ui-state-active {
	background-image: unset;
	background-color: #3baae3;
	color: #fff;
}

.ui-widget,
.ui-widget button,
.ranges ui-widget-header {
	font-family: 'Montserrat', 'Calibri', Arial, Helvetica, sans-serif;
}

.ranges ui-widget-header .range-start .hasDatepicker {
	font-size: 90%;
}

.ui-daterangepicker .title-start,
.ui-daterangepicker .title-end,
.ui-datepicker .ui-datepicker-title,
.ui-daterangepicker button.btnDone,
.ui-daterangepicker button.btnCancel {
	font-size: 70%;
	font-weight: 400;
	text-transform: uppercase;
}
.ui-datepicker .ui-datepicker-title {
	font-size: 80%;
}
.ui-state-default,
.ui-widget-content .ui-state-default,
.ui-widget-header .ui-state-default {
 background-image: unset;
	text-align: center;
}
.ui-daterangepicker button.btnDone,
.ui-daterangepicker button.btnCancel {
	font-size: 70%;
}

.ui-widget-content .ranges {
	background: unset;
}

.ui-widget-content .ranges span:nth-last-child(2):not(.ui-datepicker-month) {
	display: none!important;
}
/* Textos castellano filtro fechas */
.ui-widget-content li[class^="ui-daterangepicker-"] a,
.ui-widget-content .hasDatepicker span:not(.ui-icon),
.ui-widget-content .ranges button,
.filter-item-container .filter-item-body .filter-item-only-this {
	color: transparent;
	color: #999;
	padding: 0;
	height: 25px;
	overflow: hidden;
}
.ui-widget-content .ranges button {
	padding: 0 5px;
}
.ui-widget-content .ranges button.btnCancel {
	right: 80px;
}

.ui-widget-content li[class^="ui-daterangepicker-"] a:before,
.ui-widget-content .hasDatepicker span:before,
.ui-widget-content .ranges button:before,
.filter-item-container .filter-item-body .filter-item-only-this:before {
	display: block;
	font-size: 80%;
	color: #333;
	padding: 0 3px;
	line-height: 25px;
}
.ui-widget-content .ranges button:before {
	padding: 0 5px;
	line-height: 23px;
	margin: 0;
	font-weight: 600;
}
.ui-widget-content .ui-daterangepicker-Yeartodate a:before {
	content: 'Año hasta la fecha actual';	
}
.ui-widget-content .ui-daterangepicker-ThepreviousMonth a:before {
	content: 'El mes anterior';	
}
.ui-widget-content .ui-daterangepicker-allDatesBefore a:before {
	content: 'Todas las fechas anteriores a';	
}
.ui-widget-content .ui-daterangepicker-allDatesAfter a:before {
	content: 'Todas las fechas posteriores a';	
}
.ui-widget-content .ui-daterangepicker-dateRange a:before {
	content: 'Rango de fechas';	
}
.ui-widget-content .hasDatepicker .title-start:before {
	content: 'Fecha inicio';	
}
.ui-widget-content .hasDatepicker .title-end:before {
	content: 'Fecha fin';	
}
.ui-widget-content .ranges .btnDone:before {
	content: 'Aplicar';	
}
.ui-widget-content .ranges .btnCancel:before {
	content: 'Cancelar';	
}
.filter-item-container .filter-item-body .filter-item-only-this:before {
	content: 'Sólo';
	text-decoration: none;
	font-size: 100%;
}


/* max 992px
*********************************************************************************************/
@media only screen and (max-width: 992px){
	.row.filtros {
		background-color: #fafafa;
		box-shadow: 6px 6px 8px rgba(0,0,0,0.2);
		margin: 0 8px 0 -8px;
		position: relative;
		padding-top: 10px;
	}
	
	.row.filtros .selectores .filter-container {
		margin-bottom: 10px;
	}
	
	.row.filtros .selectores .filter::before,
	.row.filtros .funciones button::before {
		z-index: 0;
	}
	
	.row.filtros .selectores #resetButton {
		position: relative;
		z-index: 1;
	}
}

/* + 992px
*********************************************************************************************/
@media only screen and (min-width: 992px){
	.row.filtros {
		padding: 0 1vw 0 0;
		margin-top: -60px;
	}
	
	.row.filtros .selectores .filter,
	.row.filtros .selectores button,
	.row.filtros .funciones {
		margin-top: 18px;
	}
	.row.filtros .selectores button button {
		margin: -1px -1px 0 0;
	}
	
	.contenedor section:not:(.more) {
		height: 60vh;
	}
	
	
	@media only screen and (max-height: 899px) {
		.row.filtros {
			margin-top: -45px;
			height: 45px;
		}
		.row.filtros .selectores .filter,
		.row.filtros .selectores button,
		.row.filtros .funciones button {
			margin-top: 10px;
		}
		.filter-root-header-label {
			padding: 0 0 0 15px;
		}
		.filter-title {
			margin-bottom: 2px;
		}
	}
}
/* + 1440px
*********************************************************************************************/
@media only screen and (min-width: 1440px){
	.row.filtros {
		padding: 0 3px 0 0;
	}
}